// 当文件不存在的时候生成代码, 在这里添加逻辑
package {{.PackageName}}

import (
	"context"
	"fusen-model/dbutils"
	"fusen-model/gmodel"
	
	"{{.ProjectName}}/server/config"
)

// 处理共享数据的上下文
type SharedContext struct {
	models           *gmodel.Models
}

// 初始化
func (svcCtx *SharedContext) Init(ctx context.Context, cfg *config.Config) {
	svcCtx.models = gmodel.NewModels(dbutils.InitMysql(cfg.SourceMysql)) // 拿到所有的gmodel
}

// 每次请求需要处理的上下文.
func (svcCtx *SharedContext) Handler(ctx context.Context, cfg *config.Config) {
}
